Enviar cualquier tipo de mensaje compatible
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "919900000001",
"type": "image",
"image": {
"id": "1234567890123456",
"caption": "Your invoice"
}
}
'{
"messaging_product": "whatsapp",
"contacts": [
{
"input": "919900000001",
"wa_id": "919900000001"
}
],
"messages": [
{
"id": "wamid.HBgMOTE5OTAwMDAwMDAxFQIAERgSN0EyRjc4...",
"message_status": "accepted"
}
]
}Mensajería
Enviar cualquier tipo de mensaje compatible
Enviar cualquier tipo de mensaje compatible. Consulta los parámetros, el ejemplo y las respuestas disponibles para esta operación.
POST
/
meta
/
phone-numbers
/
{phoneNumberId}
/
messages
Enviar cualquier tipo de mensaje compatible
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "919900000001",
"type": "image",
"image": {
"id": "1234567890123456",
"caption": "Your invoice"
}
}
'{
"messaging_product": "whatsapp",
"contacts": [
{
"input": "919900000001",
"wa_id": "919900000001"
}
],
"messages": [
{
"id": "wamid.HBgMOTE5OTAwMDAwMDAxFQIAERgSN0EyRjc4...",
"message_status": "accepted"
}
]
}Autorizaciones
Token bearer de Eazybe. El token identifica la organización y debe mantenerse en el servidor.
Parámetros de ruta
ID del número de teléfono devuelto por GET /meta/phone-numbers.
Cuerpo
application/json
Respuesta
200 - application/json
Message accepted for delivery
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | phoneNumberId not linked to your organization | Verify the id |
500 | Gateway rejected the send — malformed message object, unopted-in recipient, closed 24-hour window, or rate limit | Read message; check server logs for the upstream body |
¿Esta página le ayudó?